void setup() {
  Serial.begin(115200); // 初始化串口通信

  pinMode(5, OUTPUT);
  pinMode(4, INPUT_PULLDOWN); // Set GPIO4 to input drop-down mode
  pinMode(10, INPUT_PULLUP); // Set GPIO10 to input pull-up mode
}

void loop() {
  int stateGPIO4 = digitalRead(4); // 读取GPIO4的电平状态
  int stateGPIO10 = digitalRead(10); // 读取GPIO10的电平状态

  Serial.print("GPIO4-status: ");
  Serial.println(stateGPIO4); // 打印GPIO4的状态

  Serial.print("GPIO10-status-RST: ");
  Serial.println(stateGPIO10); // 打印GPIO10的状态
  
  digitalWrite(5,LOW);
  delay(1000); // 延时1秒
  digitalWrite(5,HIGH);
  delay(1000); // 延时1秒
}
